/* *******************************************************************
   Configuration
   Set up your constants and default values for your sketch
   ***************************************************************** */

#define TXT_BOARDID           "11"                        // a name/ID for your board
// pins
constexpr byte ledPin[] {2, 3, 5, 6, 7, 8, 9};            // define the LED pins. Don't use 0 (RX), 1(TX), 10 (SS ETH), 11 (MOSI), 12(MISO), 13(CLK), 4(SS SD)
constexpr byte analogPin[] {0, 1, 2, 3};                  // be carefull: analog pin 4 & 5 might be used for I2C
constexpr byte ssETH {10};                                // chip select pin for Ethernet (only as reminder)
constexpr byte ssSD {4};                                  // chip select pin for SD Card

// client 
#define HTTP_CLIENT_SERVERNAME  "your.webserver.net"      // external webserver as destination for your data. Without HTTP://
#define HTTP_CLIENT_SERVERPFAD  "/yourScriptFolder/data.php" // path and resource on your external webserver
IPAddress myserver(11, 12, 13, 14);                       // the external webserver IP address

// ethernet
byte mac[] {0x52, 0x64, 0x11, 0x12, 0x13, 0x14};          // you should change the MAC and IP addresses to suit your network
IPAddress ip(172, 18, 67, 11);                            // IP address of this board
byte dns[] = {8, 8, 8, 8};                                // define DNS
byte gateway[] = {172, 18, 67, 230};                      // define your gateway/router IP
byte subnet[] = {255, 255, 255, 0};                       // define your network subnet

// NTP
const char timeServer[] = "de.pool.ntp.org";     // choose a server NTP pool fitting to your country
//const char timeServer[] = "time.nist.gov";     // alternative: time.nist.gov NTP server
unsigned int localPort = 8888;                   // local port to listen for UDP packets
